[arch-commits] Commit in freeciv/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Jun 18 15:29:57 EDT 2009


    Date: Thursday, June 18, 2009 @ 15:29:57
  Author: eric
Revision: 42733

upgpkg: freeciv 2.1.9-2
    Rebuilt against readline 6.0.00

Modified:
  freeciv/trunk/ChangeLog
  freeciv/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |    8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-06-18 19:10:48 UTC (rev 42732)
+++ ChangeLog	2009-06-18 19:29:57 UTC (rev 42733)
@@ -1,3 +1,8 @@
+2009-06-18  Eric Belanger  <eric at archlinux.org>
+
+	* freeciv 2.1.9-2
+	* Rebuilt against readline 6.0.00
+
 2009-04-06  Eric Belanger  <eric at archlinux.org>
 
 	* freeciv 2.1.9-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 19:10:48 UTC (rev 42732)
+++ PKGBUILD	2009-06-18 19:29:57 UTC (rev 42733)
@@ -5,20 +5,20 @@
 
 pkgname=freeciv
 pkgver=2.1.9
-pkgrel=1
+pkgrel=2
 pkgdesc="A multiuser clone of the famous Microprose game of Civilization"
 arch=('i686' 'x86_64')
 url="http://www.freeciv.org/"
 license=('GPL')
-depends=('gtk2' 'sdl_mixer' 'esound' 'readline')
+depends=('gtk2' 'sdl_mixer' 'esound' 'readline>=6.0.00')
 makedepends=('pkgconfig')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('caffaa201b2f5dfdfe00b6e6c3f32fb1')
 sha1sums=('01a3500a9d0f9d9c9b95b7c4b57f2446f671a900')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list